package com.dayou.entity;

import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 大中型估价人员计件数
 *  @author wucl
 *  @since 2025-06-26
 */
@Data
public class MajorAppraiserUnit extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     *订单id
     */
    private Long majorId;

    /**
     *估价人员id
     */
    private Long userId;

    /**
     *分配件数
     */
    private BigDecimal unitRate;

    /**
     *负责人
     */
    private Boolean isPrincipal;
}
