package com.dayou.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.dto.MajorAppraiserUnitDTO;
import com.dayou.entity.MajorAppraiserUnit;
import com.dayou.vo.MajorOrderStatEvaluateUnitVO;
import com.dayou.vo.UserRateVO;

import java.util.List;

public interface IMajorAppraiserUnitService extends IService<MajorAppraiserUnit> {

    Boolean saveUnit(MajorAppraiserUnitDTO majorAppraiserUnitDTO);

    MajorAppraiserUnitDTO select(Long id);

    Page<MajorOrderStatEvaluateUnitVO> getOrderStat(Page page, MajorOrderStatEvaluateUnitVO unit);

    List<MajorOrderStatEvaluateUnitVO> exportOrderExport(MajorOrderStatEvaluateUnitVO unit);

    Page<UserRateVO> getUserStat(Page page, UserRateVO rate);

    List<UserRateVO> exportUserExport(UserRateVO rate);

    Page<MajorOrderStatEvaluateUnitVO> getUserDetail(Page page, MajorOrderStatEvaluateUnitVO unit);
}
