package com.dayou.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.MajorAppraiserUnit;
import com.dayou.vo.MajorOrderStatEvaluateUnitVO;
import com.dayou.vo.UserRateVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MajorAppraiserUnitMapper extends BaseMapper<MajorAppraiserUnit> {

    Page<MajorOrderStatEvaluateUnitVO> getOrderStat(Page page, @Param("unit") MajorOrderStatEvaluateUnitVO unit);

    List<MajorOrderStatEvaluateUnitVO> exportOrderExport(@Param("unit")MajorOrderStatEvaluateUnitVO unit);

    Page<UserRateVO> getUserStat(Page page, @Param("rate")UserRateVO rate);

    List<UserRateVO> getUserStatExport(@Param("rate")UserRateVO rate);

    Page<MajorOrderStatEvaluateUnitVO> getUserDetail(Page page, @Param("unit")MajorOrderStatEvaluateUnitVO unit);
}
